Page MenuHomePhabricator

[Tracking] MobileFrontend should use mw-ui-icon
Closed, ResolvedPublic

Description

Now mw-ui-icon is available [1] MobileFrontend should deprecate its use of the icon class and friends.

[1] http://tools.wmflabs.org/styleguide/desktop/section-4.html


Version: unspecified
Severity: normal
See Also: T74620: Giant hamburger takes over screen on Firefox

Details

Reference
bz71181

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:49 AM
bzimport set Reference to bz71181.

Change 161321 had a related patch set uploaded by Jdlrobson:
WIP: Use mw-ui-icon

https://gerrit.wikimedia.org/r/161321

Change 165096 had a related patch set uploaded by Jdlrobson:
WIP: Use mw-ui-icon in beta

https://gerrit.wikimedia.org/r/165096

Change 161321 abandoned by Jdlrobson:
WIP: Use mw-ui-icon in beta

Reason:
https://gerrit.wikimedia.org/r/165096

https://gerrit.wikimedia.org/r/161321

Change 168138 had a related patch set uploaded by Jdlrobson:
Use mw-ui-icon in alpha

https://gerrit.wikimedia.org/r/168138

Change 168138 merged by jenkins-bot:
Use mw-ui-icon in alpha

https://gerrit.wikimedia.org/r/168138

Now this code is in alpha. Let's move it to beta.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/JTZl1RkW

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/paVrcmhn

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/7wa4i24Z

Spage updated the task description. (Show Details)Feb 11 2015, 3:39 AM

@Jdlrobson, is this closable? seems old, but saw you were in it recently.

Jdlrobson closed this task as Resolved.Apr 20 2015, 4:36 PM

MobileFrontend is now using this as of Friday so yes :-) yay!